services:
  # unifi-controller:
  #   image: lscr.io/linuxserver/unifi-controller:latest
  #   container_name: unifi-controller
  #   environment:
  #     - PUID=1000
  #     - PGID=1000
  #     - TZ=Eruope/Amsterdam
  #     - MEM_LIMIT=1024 #optional
  #     - MEM_STARTUP=1024 #optional
  #   volumes:
  #     - ./unifi:/config
  #   ports:
  #     - 8443:8443
  #     - 3478:3478/udp
  #     - 10001:10001/udp
  #     - 8082:8080
  #     - 1900:1900/udp #optional
  #     - 8843:8843 #optional
  #     - 8880:8880 #optional
  #     - 6789:6789 #optional
  #     - 5514:5514/udp #optional
  #   restart: unless-stopped

  unifi-network-application:
    image: lscr.io/linuxserver/unifi-network-application:latest
    container_name: unifi-network-application
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Amsterdam
      - MONGO_USER=${UNIFI_MONGODB_USER}
      - MONGO_PASS=${UNIFI_MONGODB_PASS}
      - MONGO_HOST=unifi-mongodb
      - MONGO_PORT=27017
      - MONGO_DBNAME=unifi
      - MEM_LIMIT=1024 #optional
      - MEM_STARTUP=1024 #optional
      #- MONGO_TLS= #optional
      #- MONGO_AUTHSOURCE= #optional
    volumes:
      - ./unifi-config:/config
    depends_on:
      unifi-mongodb:
        condition: service_healthy
    ports:
      - 8443:8443
      - 3478:3478/udp
      - 10001:10001/udp
      - 8080:8080
      - 1900:1900/udp #optional
      - 8843:8843 #optional
      - 8880:8880 #optional
      - 6789:6789 #optional
      - 5514:5514/udp #optional
    restart: unless-stopped

  unifi-mongodb:
    container_name: unifi-mongodb
    image: mongo:7.0
    restart: unless-stopped
    ports:
      - 27017:27017
    healthcheck:
      test: echo 'db.runCommand("ping").ok' | mongosh localhost:27017/test --quiet
    volumes:
      - ./init-mongo.js:/docker-entrypoint-initdb.d/init-mongo.js
    #    environment:
    #  MONGO_INITDB_ROOT_USERNAME: ${UNIFI_MONGODB_USER}
    # MONGO_INITDB_ROOT_PASSWORD: ${UNIFI_MONGODB_PASS}
